import React, { useContext } from "react";
import { TextField, Button } from "@material-ui/core";
import {
  ApplicationStateContext,
  ApplicationDispatchContext
} from "../../../state/ApplicationContexts";

const NotesContainer = () => {
  const state = useContext(ApplicationStateContext);
  const dispatchActions = useContext(ApplicationDispatchContext);

  const handleChange = prop => event => {
    dispatchActions.onNetworkChange(prop, event.target.value);
  };

  return (
    <>
      <TextField
        id="ertet"
        label="Test"
        onChange={handleChange("test")}
        value={state.network.test}
      />
      <br />
      <br />
      <Button variant="contained" color="primary">
        Read machines
      </Button>
    </>
  );
};

export default NotesContainer;
